summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD8
2 files changed, 7 insertions, 7 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 129b3ceac6a..a1b88c6c103 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = python-viztracer
pkgdesc = VizTracer is a low-overhead logging/debugging/profiling tool that can trace and visualize your python code execution.
- pkgver = 0.14.3
+ pkgver = 0.14.4
pkgrel = 1
url = https://github.com/gaogaotiantian/viztracer
arch = x86_64
@@ -10,7 +10,7 @@ pkgbase = python-viztracer
optdepends = python-rich: Full function support
optdepends = python-orjson: Full function support
optdepends = chromium: browser to open html results
- source = https://files.pythonhosted.org/packages/source/v/viztracer/viztracer-0.14.3.tar.gz
- b2sums = a875213f0bd4a9150414a449be3b4a9aa6edf900c55b891444190f8cfe5de3c871bdc8960832ecaa05266cb166197e4b7e42e46f21b3e7bbd52fd27e512eca81
+ source = https://files.pythonhosted.org/packages/source/v/viztracer/viztracer-0.14.4.tar.gz
+ b2sums = b46bc54d9ab74b8b8f1e96de4512f8583c46b51699f968971152b3af604efa67fc3eb99cb6618cc961aac7998bc3a506286dfc842896bbca91e3ca3fd654f41b
pkgname = python-viztracer
diff --git a/PKGBUILD b/PKGBUILD
index ee5116f52b6..d97aa864dc7 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@
pkgname=python-viztracer
_name=viztracer
-pkgver=0.14.3
+pkgver=0.14.4
pkgrel=1
pkgdesc='VizTracer is a low-overhead logging/debugging/profiling tool that can trace and visualize your python code execution.'
arch=('x86_64')
@@ -18,16 +18,16 @@ optdepends=(
'chromium: browser to open html results'
)
source=("https://files.pythonhosted.org/packages/source/${_name::1}/${_name}/${_name}-${pkgver}.tar.gz")
-b2sums=('a875213f0bd4a9150414a449be3b4a9aa6edf900c55b891444190f8cfe5de3c871bdc8960832ecaa05266cb166197e4b7e42e46f21b3e7bbd52fd27e512eca81')
+b2sums=('b46bc54d9ab74b8b8f1e96de4512f8583c46b51699f968971152b3af604efa67fc3eb99cb6618cc961aac7998bc3a506286dfc842896bbca91e3ca3fd654f41b')
build() {
- cd "$_name-$pkgver"
+ cd "$_name-$pkgver" || exit
export PYTHONHASHSEED=0
python setup.py build
}
package() {
- cd "$_name-$pkgver"
+ cd "$_name-$pkgver" || exit
python setup.py install --root="$pkgdir" --optimize=1 --skip-build
install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
# install -Dm644 $scrdir/README* "${pkgdir}/usr/share/doc/${pkgname}/README"